ports/94023: [PATCH] emulators/gngeo: update to 0.6.10

Jose Alonso Cardenas Marquez acardenas at bsd.org.pe
Sat Apr 8 03:14:45 UTC 2006


- Update to 0.6.11

--- gngeo-0.6.11.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/emulators/gngeo/Makefile /usr/ports/emulators/gngeo-new/Makefile
--- /usr/ports/emulators/gngeo/Makefile	Fri Mar  3 13:59:41 2006
+++ /usr/ports/emulators/gngeo-new/Makefile	Fri Apr  7 22:01:17 2006
@@ -6,58 +6,36 @@
 #
 
 PORTNAME=	gngeo
-PORTVERSION=	0.6.4
-CATEGORIES=	emulators
+PORTVERSION=	0.6.11
+CATEGORIES=	emulators games
 MASTER_SITES=	http://m.peponas.free.fr/gngeo/download/
 DIST_SUBDIR=	${PORTNAME}
 
-MAINTAINER=	alejandro at varnet.biz
+MAINTAINER=	acardenas at bsd.org.pe
 COMMENT=	NeoGeo emulator
 
-RESTRICTED=	The Neo-Geo BIOS can not be redistributed
-
+USE_X_PREFIX=	yes
 USE_GMAKE=	yes
 USE_SDL=	image sdl
 USE_GL=		yes
-USE_REINPLACE=	yes
 
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--program-transform-name=""
-CONFIGURE_ENV=	CPPFLAGS="`${SDL_CONFIG} --cflags` -I${X11BASE}/include" \
-		LDFLAGS="`${SDL_CONFIG} --libs`"
+CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ARGS=	--program-transform-name="" --disable-gp2x
+CONFIGURE_ENV=	CPPFLAGS="`${SDL_CONFIG} --cflags` -I${X11BASE}/include ${CFLAGS}" \
+		LDFLAGS="`${SDL_CONFIG} --libs` -L${X11BASE}/lib" \
+
+SUB_FILES=	pkg-message
 
 OPTIONS=	GUI "Enable GUI support (experimental)" off \
 		I386ASM "Use i386 optimization" on \
 		RAZE "Use Raze as z80 emulator (only for i386)" on \
-		STAR "Use Starscream as 68k emulator (only for i386)" on
+		STAR "Use Starscream as 68k emulator (only for i386)" on \
 
 MAN1=		gngeo.1
 
-NGBIOS=		neo-geo.rom ng-lo.rom ng-sfix.rom ng-sm1.rom
-
-post-patch:
-	@${REINPLACE_CMD} -e 's|sdl-config|${SDL_CONFIG}| ; \
-			s|-mcpu=$$target_cpu||' \
-				${CONFIGURE_WRKSRC}/${CONFIGURE_SCRIPT}
-
-post-install:
-# Neo-Geo BIOS
-.for f in ${NGBIOS}
-	@${INSTALL_DATA} ${DISTDIR}/${f} ${DATADIR}
-.endfor
-
-# Examples
-	@${MKDIR} ${EXAMPLESDIR}
-	@${INSTALL_DATA} ${WRKSRC}/sample_gngeorc ${EXAMPLESDIR}/gngeorc
-
 .include <bsd.port.pre.mk>
 
-.for f in ${NGBIOS}
-.	if !exists(${DISTDIR}/${DIST_SUBDIR}/${f}) || defined(PACKAGE_BUILDING)
-IGNORE?=	Could not find ${DISTDIR}/${DIST_SUBDIR}/${f}. You need to manually download a copy of the Neo-Geo BIOS, extract the files and place them into ${DISTDIR}/${DIST_SUBDIR}. It is available at http://www.ocf.berkeley.edu/~wwu/downloads/neogeo.zip
-.	endif
-.endfor
-
 .if defined(WITH_I386ASM) || defined(WITH_RAZE) || defined(WITH_STAR)
 BUILD_DEPENDS+=		nasm:${PORTSDIR}/devel/nasm
 .endif
@@ -85,5 +63,16 @@
 .else
 CONFIGURE_ARGS+=	--enable-gen68k
 .endif
+
+post-patch:
+	@${REINPLACE_CMD} -e 's|%%SDL_CONFIG%%|${SDL_CONFIG}| ; \
+		s|-mcpu=$$target_cpu||' \
+			${CONFIGURE_WRKSRC}/${CONFIGURE_SCRIPT}
+	@${REINPLACE_CMD} -e 's|-O3||g' ${CONFIGURE_WRKSRC}/${CONFIGURE_SCRIPT}
+
+post-install:
+	${MKDIR} ${EXAMPLESDIR}
+	${INSTALL_DATA} ${WRKSRC}/sample_gngeorc ${EXAMPLESDIR}/gngeorc
+	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
diff -ruN --exclude=CVS /usr/ports/emulators/gngeo/distinfo /usr/ports/emulators/gngeo-new/distinfo
--- /usr/ports/emulators/gngeo/distinfo	Tue Nov 22 06:33:06 2005
+++ /usr/ports/emulators/gngeo-new/distinfo	Wed Apr  5 20:50:47 2006
@@ -1,3 +1,3 @@
-MD5 (gngeo/gngeo-0.6.4.tar.gz) = 690a624935a25af19d80d05088dc7d3c
-SHA256 (gngeo/gngeo-0.6.4.tar.gz) = e51a699ce8800fd717166b31c94918b252d578e764fecff8b8ec3a7acbb4a6b7
-SIZE (gngeo/gngeo-0.6.4.tar.gz) = 558473
+MD5 (gngeo/gngeo-0.6.11.tar.gz) = fee91301dab874b0a28d361ba68d6cd1
+SHA256 (gngeo/gngeo-0.6.11.tar.gz) = 6ec67cdec7775caf81b81eb9c1c0a6209a2e1cf2cc4dfa670d4aaef40f24c45a
+SIZE (gngeo/gngeo-0.6.11.tar.gz) = 1014372
diff -ruN --exclude=CVS /usr/ports/emulators/gngeo/files/patch-configure /usr/ports/emulators/gngeo-new/files/patch-configure
--- /usr/ports/emulators/gngeo/files/patch-configure	Tue Nov 22 06:33:07 2005
+++ /usr/ports/emulators/gngeo-new/files/patch-configure	Wed Mar  1 21:09:40 2006
@@ -1,13 +1,34 @@
---- configure.orig	Mon Sep 20 13:35:06 2004
-+++ configure	Wed Aug 17 16:29:55 2005
-@@ -3118,10 +3118,6 @@
-    { (exit 1); exit 1; }; }
+--- configure	Wed Mar  1 21:08:25 2006
++++ configure	Wed Mar  1 21:06:55 2006
+@@ -2997,7 +2997,7 @@
+ 	fi
+ else
+ 	# Extract the first word of "sdl-config", so it can be a program name with args.
+-set dummy sdl-config; ac_word=$2
++set dummy %%SDL_CONFIG%%; ac_word=$2
+ echo "$as_me:$LINENO: checking for $ac_word" >&5
+ echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
+ if test "${ac_cv_prog_SDL_CONFIG+set}" = set; then
+@@ -3033,8 +3033,8 @@
  fi
  
--else
--	{ { echo "$as_me:$LINENO: error: can't find sdl-config on your system" >&5
+ 	if test "$SDL_CONFIG" = yes ; then
+-		CFLAGS="$CFLAGS `sdl-config --cflags`";
+-		LIBS="$LIBS `sdl-config --libs`";
++		CFLAGS="$CFLAGS `%%SDL_CONFIG%% --cflags`";
++		LIBS="$LIBS `%%SDL_CONFIG%% --libs`";
+ 
+ echo "$as_me:$LINENO: checking for SDL_Init in -lSDL" >&5
+ echo $ECHO_N "checking for SDL_Init in -lSDL... $ECHO_C" >&6
+@@ -3111,11 +3111,6 @@
+ echo "$as_me: error: can't find SDL on your system" >&2;}
+    { (exit 1); exit 1; }; }
+ fi
+-
+-	else
+-		{ { echo "$as_me:$LINENO: error: can't find sdl-config on your system" >&5
 -echo "$as_me: error: can't find sdl-config on your system" >&2;}
 -   { (exit 1); exit 1; }; };
+ 	fi
+ 	enable_gp2x=false
  fi
- 
- 
diff -ruN --exclude=CVS /usr/ports/emulators/gngeo/files/pkg-message.in /usr/ports/emulators/gngeo-new/files/pkg-message.in
--- /usr/ports/emulators/gngeo/files/pkg-message.in	Wed Dec 31 19:00:00 1969
+++ /usr/ports/emulators/gngeo-new/files/pkg-message.in	Fri Apr  7 22:08:13 2006
@@ -0,0 +1,32 @@
+###################################################################################################
+
+1) You need to manually download neogeo-bios or neogeo-unibios. It's available at:
+
+	-  neogeo-bios	 : http://www.ocf.berkeley.edu/~wwu/downloads/neogeo.zip
+	-  neogeo-unibios: http://unibios.free.fr/download.html
+
+   Please keep in mind that the NEOGEO BIOS is copyrighted software.
+
+2) Choose one and extract the files and place them into %%DATADIR%% directory.
+3) If you use the neogeo-bios, you need rename some files.
+
+        - neo-geo.rom	-> sp-s2.sp1
+	- ng-lo.rom	-> 000-lo.lo
+	- ng-sfix.rom	-> sfix.sfx
+	- ng-sm1.rom	-> ng-sm1.rom
+
+4) Run gngeo
+
+   Using neogeo bios:
+
+   # gngeo <romname>
+
+   Usin neogeo unibios
+ 
+   # gngeo --system unibios <romname>
+
+   Note: Use rom's name (romname) without zip extension.
+
+5) Enjoy it ;)
+
+###################################################################################################
diff -ruN --exclude=CVS /usr/ports/emulators/gngeo/pkg-plist /usr/ports/emulators/gngeo-new/pkg-plist
--- /usr/ports/emulators/gngeo/pkg-plist	Tue Nov 22 06:33:06 2005
+++ /usr/ports/emulators/gngeo-new/pkg-plist	Fri Apr  7 22:03:05 2006
@@ -3,12 +3,8 @@
 %%DATADIR%%/gui_font.bmp
 %%DATADIR%%/gui_font2.bmp
 %%DATADIR%%/little_font.bmp
-%%DATADIR%%/neo-geo.rom
-%%DATADIR%%/ng-lo.rom
-%%DATADIR%%/ng-sfix.rom
-%%DATADIR%%/ng-sm1.rom
 %%DATADIR%%/romrc
 %%DATADIR%%/sb_arrows.bmp
 %%EXAMPLESDIR%%/gngeorc
- at dirrm %%DATADIR%%
+ at unexec rmdir %D/%%DATADIR%% >/dev/null 2>&1 || echo "If you are permanently removing this port, you should remove the Neo-Geo BIOS files left in %D/%%DATADIR%%."
 @dirrm %%EXAMPLESDIR%%
--- gngeo-0.6.11.patch ends here ---

Greetings
ACM
-- 
Grupo de Usuarios *BSD Peru - BSDPeru
http://www.bsd.org.pe



More information about the freebsd-ports-bugs mailing list